import type { DefaultValues } from '../../../bridge';
import type { AccessSecretVersionResponse, AddSecretOwnerRequest, CreateFolderRequest, CreateSecretRequest, CreateSecretVersionRequest, EphemeralPolicy, Folder, GeneratePasswordRequest, ListFoldersResponse, ListSecretVersionsResponse, ListSecretsResponse, ListTagsResponse, Secret, SecretVersion, UpdateSecretRequest, UpdateSecretVersionRequest } from './types.gen';
export declare const unmarshalFolder: (data: unknown) => Folder;
export declare const unmarshalSecretVersion: (data: unknown) => SecretVersion;
export declare const unmarshalEphemeralPolicy: (data: unknown) => EphemeralPolicy;
export declare const unmarshalSecret: (data: unknown) => Secret;
export declare const unmarshalAccessSecretVersionResponse: (data: unknown) => AccessSecretVersionResponse;
export declare const unmarshalListFoldersResponse: (data: unknown) => ListFoldersResponse;
export declare const unmarshalListSecretVersionsResponse: (data: unknown) => ListSecretVersionsResponse;
export declare const unmarshalListSecretsResponse: (data: unknown) => ListSecretsResponse;
export declare const unmarshalListTagsResponse: (data: unknown) => ListTagsResponse;
export declare const marshalAddSecretOwnerRequest: (request: AddSecretOwnerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateFolderRequest: (request: CreateFolderRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalEphemeralPolicy: (request: EphemeralPolicy, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSecretRequest: (request: CreateSecretRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSecretVersionRequest: (request: CreateSecretVersionRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalGeneratePasswordRequest: (request: GeneratePasswordRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSecretRequest: (request: UpdateSecretRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSecretVersionRequest: (request: UpdateSecretVersionRequest, defaults: DefaultValues) => Record<string, unknown>;
