import type { DefaultValues } from '../../../bridge';
import type { CreateDomainRequest, CreateEmailRequest, CreateEmailResponse, CreateWebhookRequest, Domain, DomainLastStatus, Email, ListDomainsResponse, ListEmailsResponse, ListWebhookEventsResponse, ListWebhooksResponse, ProjectSettings, Statistics, UpdateDomainRequest, UpdateProjectSettingsRequest, UpdateWebhookRequest, Webhook } from './types.gen';
export declare const unmarshalEmail: (data: unknown) => Email;
export declare const unmarshalDomain: (data: unknown) => Domain;
export declare const unmarshalWebhook: (data: unknown) => Webhook;
export declare const unmarshalCreateEmailResponse: (data: unknown) => CreateEmailResponse;
export declare const unmarshalDomainLastStatus: (data: unknown) => DomainLastStatus;
export declare const unmarshalListDomainsResponse: (data: unknown) => ListDomainsResponse;
export declare const unmarshalListEmailsResponse: (data: unknown) => ListEmailsResponse;
export declare const unmarshalListWebhookEventsResponse: (data: unknown) => ListWebhookEventsResponse;
export declare const unmarshalListWebhooksResponse: (data: unknown) => ListWebhooksResponse;
export declare const unmarshalProjectSettings: (data: unknown) => ProjectSettings;
export declare const unmarshalStatistics: (data: unknown) => Statistics;
export declare const marshalCreateDomainRequest: (request: CreateDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateEmailRequest: (request: CreateEmailRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateWebhookRequest: (request: CreateWebhookRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDomainRequest: (request: UpdateDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateProjectSettingsRequest: (request: UpdateProjectSettingsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateWebhookRequest: (request: UpdateWebhookRequest, defaults: DefaultValues) => Record<string, unknown>;
